=== modified file 'mandos'
--- mandos	2012-05-26 22:21:17 +0000
+++ mandos	2012-05-26 22:56:38 +0000
@@ -2242,7 +2242,7 @@
     if server_settings["socket"]:
         server_settings["socket"] = server_config.getint("DEFAULT",
                                                          "socket")
-        # Later, stdin will, and stdout, and stderr might, be dup'ed
+        # Later, stdin will, and stdout and stderr might, be dup'ed
         # over with an opened os.devnull.  But we don't want this to
         # happen with a supplied network socket.
         if 0 <= server_settings["socket"] <= 2:
@@ -2362,6 +2362,8 @@
         # Close all input and output, do double fork, etc.
         daemon()
     
+    # multiprocessing will use threads, so before we use gobject we
+    # need to inform gobject that threads will be used.
     gobject.threads_init()
     
     global main_loop

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2012-05-12 19:29:05 +0000
+++ mandos-clients.conf.xml	2012-05-26 22:48:45 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2012-05-12">
+<!ENTITY TIMESTAMP "2012-05-27">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -167,12 +167,12 @@
 	    This option is <emphasis>optional</emphasis>.
 	  </para>
 	  <para>
-	    This option allows you to override the default shell
-	    command that the server will use to check if the client is
-	    still up.  Any output of the command will be ignored, only
-	    the exit code is checked:  If the exit code of the command
-	    is zero, the client is considered up.  The command will be
-	    run using <quote><command><filename>/bin/sh</filename>
+	    This option overrides the default shell command that the
+	    server will use to check if the client is still up.  Any
+	    output of the command will be ignored, only the exit code
+	    is checked:  If the exit code of the command is zero, the
+	    client is considered up.  The command will be run using
+	    <quote><command><filename>/bin/sh</filename>
 	    <option>-c</option></command></quote>, so
 	    <varname>PATH</varname> will be searched.  The default
 	    value for the checker command is <quote><literal
@@ -512,6 +512,8 @@
       <citerefentry><refentrytitle>mandos.conf</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos</refentrytitle>
+      <manvolnum>8</manvolnum></citerefentry>,
+      <citerefentry><refentrytitle>fping</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>
     </para>
   </refsect1>

